#pragma once

#include "state/state.hpp"

class Game {
public:
    Game();

    // main method of the game. run this regulary
    // return false if want to exit.
    bool cycle(float dt);

    // for rendering
    const game::State *state() const { return m_state; }

private:
    game::State *m_state;

    float m_time_for_next_step;
    float m_time_step;
};
