#pragma once

#include <math.h>

#include <epoxy/gl.h>
#include <epoxy/glx.h>

#include "glclasses.hpp"

namespace endofthejedi {

class Renderer {
 private:
  VBO m_vbo;
  VAO m_vao;
  Shader m_shader;
 protected:
 public:
  Renderer();
  ~Renderer();
  void drawCircle(float x, float y, float radius, float r,
                  float g, float b, int numSides=12);
};

}
